@use "../theme";

.mobile-navigation {
    @media only screen and (min-width: theme.$sm) {
        display: none;
    }

    &__backdrop {
        display: none;
        background-color: theme.$colorBrandTransparent;
        margin: 0px auto;
        max-width: 1024px;
        position: fixed;
        top: 0px;
        left: 0px;
        width: 100%;
        height: 100%;
        z-index: 10;
        opacity: 0;
        transition: opacity 170ms ease 0s, transform 0ms ease 0s;

        &.active {
            display: block;
            opacity: 1;
        }
    }

    &__drawer {
        position: fixed;
        bottom: 4.5rem;
        left: 0px;
        width: 100%;
        background: white;
        transform: translate(0px, 100%);
        transition: transform 120ms ease-out 0s;
        z-index: 11;
        display: flex;
        flex-direction: column;

        &__header {
            padding: theme.$spacing05;
            display: flex;
            justify-content: flex-end;

            &__close-btn {
                border: none;
                background: transparent;

                &::before {
                    display: block;
                    content: "✕";
                    font-size: theme.$fontSizeXXLarge;
                    line-height: 1;
                    color: theme.$colorPaletteGray700;
                }
            }
        }

        &__navigation {
            margin: 0;
            padding: 0 theme.$spacing03 theme.$spacing03;

            li {
                border-top: 1px solid theme.$colorPaletteGray400;
                padding: theme.$spacing04;
                display: flex;
                justify-content: space-between;
                align-items: center;

                a {
                    font-size: theme.$fontSizeLarge;
                    text-decoration: none;
                    color: theme.$colorText;
                    display: flex;
                    align-items: center;
                    justify-content: center;

                    &.active {
                        font-weight: theme.$fontWeightBold;
                    }
                }
            }
        }

        &.active {
            transform: translate(0px, 0px);
        }
    }

    &__navigation {
        position: fixed;
        left: 0;
        bottom: 0;
        width: 100%;
        display: flex;
        flex-direction: row;
        box-shadow: rgb(189, 189, 189) 0px 0px 10px 2px;
        z-index: 12;

        &__button {
            text-decoration: none;
            color: rgb(33, 33, 33);
            width: 25%;
            height: theme.$mobileNavHeight;
            background-color: rgb(245, 245, 245);
            padding: .75rem 0 1rem;
            display: flex;
            flex-direction: column-reverse;
            align-items: center;
            border: 0;
            font-size: 0.875rem;
            font-weight: theme.$fontWeightRegular;
            cursor: pointer;

            &.active {
                background-color: white;
                color: theme.$colorBrand;

                svg {
                    path {
                        fill: theme.$colorBrand;
                    }
                }
            }

            svg {
                path {
                    fill: rgb(117, 117, 117);
                }
            }

            span {
                margin-top: 8px;
                line-height: 1;
            }
        }
    }
}
